Bug 47114 - Add ENABLE(ACCELERATED_2D_CANVAS) guard for m_uploadTexture
Summary: Add ENABLE(ACCELERATED_2D_CANVAS) guard for m_uploadTexture
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-04 14:32 PDT by Kwang Yul Seo
Modified: 2010-10-09 11:11 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.20 KB, patch)
2010-10-04 14:33 PDT, Kwang Yul Seo
kling: review-
Details | Formatted Diff | Diff
Patch (1.25 KB, patch)
2010-10-07 12:43 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2010-10-04 14:32:36 PDT
PlatformContextSkia's m_uploadTexture is used only in code guarded with ENABLE(ACCELERATED_2D_CANVAS).
Comment 1 Kwang Yul Seo 2010-10-04 14:33:32 PDT
Created attachment 69683 [details]
Patch
Comment 2 Andreas Kling 2010-10-06 23:45:11 PDT
Comment on attachment 69683 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=69683&action=review

> WebCore/platform/graphics/skia/PlatformContextSkia.h:236
> +#if ENABLE(ACCELERATED_2D_CANVAS)
>      mutable RefPtr<Texture> m_uploadTexture;
> +#endif

There's an ENABLE(ACCELERATED_2D_CANVAS) guard just above, put both variables in there instead.
Comment 3 Kwang Yul Seo 2010-10-07 12:43:22 PDT
Created attachment 70131 [details]
Patch

Move m_uploadTexture to the ENABLE(ACCELERATED_2D_CANVAS) guard above.
Comment 4 Andreas Kling 2010-10-09 10:43:16 PDT
Comment on attachment 70131 [details]
Patch

LGTM.
Comment 5 WebKit Commit Bot 2010-10-09 11:11:26 PDT
Comment on attachment 70131 [details]
Patch

Clearing flags on attachment: 70131

Committed r69450: <http://trac.webkit.org/changeset/69450>
Comment 6 WebKit Commit Bot 2010-10-09 11:11:34 PDT
All reviewed patches have been landed.  Closing bug.